package bazy.postgresql;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class Polaczenie {

	public static void main(String[] args) throws SQLException {
		System.out.println("Startujemy");
		
		// składnia URL:
		// jdbc:RODZAJ_BAZY_DANYCH://host[:port]/NAZWA_BAZY_DANYCH
		
		String url = "jdbc:postgresql://vps497901.ovh.net:5432/hr";
		Connection c = DriverManager.getConnection(url, "hr", "vps497901_abc123");

		// koncepcyjnie rzecz biorąc zrobiliśmy:
		// Connection c = new PgConnection();
		
		System.out.println("Udało się połączyć: " + c);
		
		c.close();
		
		System.out.println("Koniec programu");
	}

}
